Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrEquiJoinCondition

    java.lang.Object
      org.modeshape.graph.query.model.EquiJoinCondition
          org.modeshape.jcr.query.qom.JcrEquiJoinCondition

All Implemented Interfaces:
  Serializable, EquiJoinCondition, JoinCondition, LanguageObject, Visitable, JcrJoinCondition

    public class JcrEquiJoinCondition

extends EquiJoinCondition
implements EquiJoinCondition, JcrJoinCondition

Implementation of the equi-join condition for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrEquiJoinCondition(Column column1, Column column2)` Create an equi-join condition, given the columns.
`JcrEquiJoinCondition(SelectorName selector1Name, String property1Name, SelectorName selector2Name, String property2Name)` Create an equi-join condition, given the names of the selector and property for the left- and right-hand-side of the join.

Method Summary
`String` | `getProperty1Name()`
`String` | `getProperty2Name()`
`String` | `getSelector1Name()`
`String` | `getSelector2Name()`

Methods inherited from class org.modeshape.graph.query.model.EquiJoinCondition
`accept, equals, hashCode, property1Name, property2Name, selector1Name, selector2Name, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrEquiJoinCondition

    public JcrEquiJoinCondition(SelectorName selector1Name,
                                String property1Name,
                                SelectorName selector2Name,
                                String property2Name)

  Create an equi-join condition, given the names of the selector and property for the left- and right-hand-side of the join.

  Parameters:
    `selector1Name` - the selector name appearing on the left-side of the join; never null
    `property1Name` - the property name for the left-side of the join; never null
    `selector2Name` - the selector name appearing on the right-side of the join; never null
    `property2Name` - the property name for the right-side of the join; never null

### JcrEquiJoinCondition

    public JcrEquiJoinCondition(Column column1,
                                Column column2)

  Create an equi-join condition, given the columns.

  Parameters:
    `column1` - the column for the left-side of the join; never null
    `column2` - the column for the right-side of the join; never null

Method Detail

### getProperty1Name

    public String getProperty1Name()

  Specified by:
    `getProperty1Name` in interface `EquiJoinCondition`
  See Also:
    `EquiJoinCondition.getProperty1Name()`

### getProperty2Name

    public String getProperty2Name()

  Specified by:
    `getProperty2Name` in interface `EquiJoinCondition`
  See Also:
    `EquiJoinCondition.getProperty2Name()`

### getSelector1Name

    public String getSelector1Name()

  Specified by:
    `getSelector1Name` in interface `EquiJoinCondition`
  See Also:
    `EquiJoinCondition.getSelector1Name()`

### getSelector2Name

    public String getSelector2Name()

  Specified by:
    `getSelector2Name` in interface `EquiJoinCondition`
  See Also:
    `EquiJoinCondition.getSelector2Name()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.